# Generated by Django 3.2 on 2023-07-24 01:20

import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0004_alter_kat_car_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mobil',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('nama', models.TextField(null=True)),
                ('harga', models.IntegerField(null=True)),
                ('fasilitas', models.TextField(null=True)),
                ('deskripsi', ckeditor_uploader.fields.RichTextUploadingField()),
                ('best_seller', models.BooleanField(default=False, max_length=1)),
                ('images', models.ManyToManyField(related_name='mobil_images', to='rizq_sanjaya_app.Foto')),
                ('kategori_mobil', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rizq_sanjaya_app.kat_car')),
            ],
        ),
        migrations.CreateModel(
            name='MobilImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('images', models.ImageField(null=True, upload_to='profile/images/mobil/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('mobil', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='rizq_sanjaya_app.mobil')),
            ],
        ),
    ]
